XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator Class Reference

`#include <XnHashT.h>`

Inheritance diagram for XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator:
[legend]

## Public Member Functions

| Iterator ()
| Iterator (TPairList **apBins, XnUInt32 nCurrBin, typename TPairList::Iterator currIt)
| Iterator (const Iterator &other)
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
TPair & | operator* () const
TPair * | operator-> () const
Public Member Functions inherited from XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator
| ConstIterator ()
| ConstIterator (TPairList *const *apBins, XnUInt32 nCurrBin, typename TPairList::ConstIterator currIt)
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
TPair const & | operator* () const
TPair const * | operator-> () const

## Additional Inherited Members

Protected Attributes inherited from XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator
TPairList *const * | m_ppBins
XnUInt32 | m_nCurrBin
TPairList::ConstIterator | m_currIt

## Constructor & Destructor Documentation

## Iterator() [1/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::Iterator | ( |  | ) |

inline

## Iterator() [2/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::Iterator | ( | TPairList ** | apBins,
|  | XnUInt32 | nCurrBin,
|  | typename TPairList::Iterator | currIt )

inline

## Iterator() [3/3]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::Iterator | ( | const Iterator & | other | ) |

inline

## Member Function Documentation

## operator*()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPair & XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator* | ( |  | ) | const

inline

Get the value of the current object

## operator++() [1/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

Iterator & XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

Iterator XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

Iterator & XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

Iterator XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## operator->()

template<class TKey, class TValue, class TKeyManager = XnDefaultKeyManagerT<TKey>, class TAlloc = XnLinkedNodeDefaultAllocatorT<XnKeyValuePair<TKey, TValue> >>

TPair * XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator::operator-> | ( |  | ) | const

inline

Get a pointer to the value of the current object

The documentation for this class was generated from the following file:

- XnHashT.h